## diffoscope 33

=== debian/changelog ===
diffoscope (33) unstable; urgency=medium

  * Fix path to diffoscope used to generate Recommends. (Closes: #797978)

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 04 Sep 2015 10:20:45 +0200

diffoscope (32) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Add `--fuzzy-threshold` option. This allows one to specify the TLSH score
    used as cut-off for fuzzy matching. Specifying 0 will disable
    fuzzy-matching entirely. Thanks Jakub Wilk for prompting me to implement
    this. (Closes: #797557)
  * Add `--new-file` to treat absent files as empty. Thanks Jakub Wilk for the
    suggestion. (Closes: #797560)
  * Enable comparisons of symlinks and devices given on the command line.
    (Closes: #796262)
  * Fix comparisons of device files. (Closes: #796288)
  * Perform comparisons of file metadata in directories using original path.
    (Closes: #796202)
  * Display default values in `--help`.
  * Stop unpacking Tar directories. Thanks h01ger for the report.
    (Closes: #797164)
  * Make directory comparison work again.
  * Fix and document required Python modules. Thanks plntyk for the feedback on
    IRC.
  * Pass `--force-local`. to cpio. We don't want filenames with ':' to trigger
    remote copies.
  * Mark that get_ar_content() as requiring the 'ar' executable.
  * Rework how diffoscope main() is run. Thanks Yaroslav Halchenko for the
    report and suggestions. (Closes: #796196)
  * Assume UTF-8 output if stdin does not advertise any encoding.
  * Give proper error message when run on non-existing files.
  * Output differences in directory test to ease debugging.
  * Update manpage. Thanks Jakub Wilk for reporting the issue.
    (Closes: #797561)
  * Properly handle SIGTERM and do cleanup temp files. Thanks Mattia Rizzolo
    for reporting this and how he did work around this deficiency.
    (Closes: #788568)
  * Fix handling of GHC .hi file (Closes: #796039)
  * Add a test on how Ctrl+C is handled.
  * Minor code improvements.

  [ Chris Lamb ]
  * Correct "comment" on Device comparator.

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 03 Sep 2015 20:00:45 +0200

diffoscope (31) unstable; urgency=low

  [ Reiner Herrman ]
  * Fix detection of jar archives.
  * Make some hardcoded limits configurable. (Closes: #795292)

  [ Mattia Rizzolo ]
  * Don't print the traceback when killed by KeyboardInterrupt.
  * Add a --debugger option to dump the user into pdb in case of crashes.
    (Closes: #796204)

  [ Jérémy Bobbio ]
  * Replace ssdeep by tlsh

  [ Chris Lamb ]
  * Unify to 4 spaces everywhere.
  * Leave string interpolation to logging.$level(..) calls.
  * Add missing 'sys' import.
  * Specify source of 'Files' correct; was using "Changes" leaked from for loop.
  * Remove unused and duplicate imports.
  * Support passing directories as "foo/" or "foo".

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 21 Aug 2015 00:03:11 +0200

diffoscope (30) unstable; urgency=low

  * Remove empty line at the beginning of HTML reports.
  * Stop failing to run the tests when uid 1000 doesn't exist.
  * Make .changes file matching more accurate.
  * Move the sanity check for version number from clean to build rule.
  * Remove leftover debug in squashfs comparator.
  * Stop decompressing squashfs directories as we compare content already.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 09 Aug 2015 12:18:30 +0200

diffoscope (29) unstable; urgency=low

  [ Reiner Herrmann ]
  * Prevent empty line at the end of squashfs listing.

  [ Jérémy Bobbio ]
  * Rename to diffoscope. debbindiff has grown way beyond a being just a tool
    to compare Debian packages. Let's rename it to better reflect this state of
    things.
  * Add a favicon to HTML reports.
  * Always use pybuild in debian/rules.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 03 Aug 2015 15:55:07 +0200

debbindiff (28) unstable; urgency=low

  * Improve code quality by storing comments for Difference as lists.
  * Fix label for content of gzip, bzip2, and xz files.
  * Handle when only the encoding is different when comparing text files.
    (Closes: #794347)

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 02 Aug 2015 17:21:52 +0200

debbindiff (27) unstable; urgency=low

  [ Reiner Herrmann ]
  * Add dh-python to Build-Depends.

  [ Daniel Kahn Gillmor ]
  * Add support for Mono PE executables.

  [ Holger Levsen ]
  * Add myself to Uploaders.

  [ Jérémy Bobbio ]
  * Add tests for tar comparator.
  * Massive rearchitecturing.
  * Now use libarchive to handle cpio archives and iso9660 images.
  * find is now used to compare directory listings.
  * Symlinks and devices can now be properly compared. (Closes: #789003)
  * Files in squashfs are now extracted one by one.
  * Text files are now compared after being decoded with the detected
    encoding. Encoding differences are reported. (Closes: #785777)
  * Pre-compile regexps for ELF archives to get a good performance gain
    when comparing ELF objects.
  * Display better stacktrace for functions and methods using decorators.
  * Reset locale environment during tests.
  * Use numeric uid/gid when listing cpio content.
  * Set timezone to UTC when configuring locale.
  * Return no differences when there's none even when a required tool is
    unavailable.
  * Fix rpm expected listing after cpio change.
  * Skip tests when required tools are missing.
  * Skip squashfs listing test until #794096 is solved.
  * Analyze md5sums in .deb and skip identical files.
  * Add support for sqlite3 databases.
  * Implement fuzzy-matching of files in the same container using ssdeep.
  * Add pydist-overrides for magic and rpm.
  * When comparing .changes, match names without version numbers.
  * Switch to pybuild as dh buildsystem.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 31 Jul 2015 08:38:10 +0000

debbindiff (26) unstable; urgency=low

  * Declare the package autopkgtestable.
  * Fix comparator for unknown files.
  * Add tests for unknown files comparator.


