=== debian/tests/control ===
Tests: pytest
Depends: diffoscope, python-pytest
Restrictions: needs-recommends
