## diffoscope 51

=== debian/changelog ===
diffoscope (51) unstable; urgency=medium

  * Team upload.
  * Re-upload, the last uploaded tarball was broken, missing test files.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 28 Feb 2016 11:56:35 +0000

diffoscope (50) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Remove myself from uploaders

  [ Reiner Herrmann ]
  * Show line ordering variation in deb md5sums
  * Reset mtimes of test directories and ignore ctimes (Closes: #815171)
  * Add comparator for Postscript files

 -- Holger Levsen <holger@debian.org>  Sat, 27 Feb 2016 19:37:20 +0100

diffoscope (49) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Don't crash when we can't find the debug file in a matching debug package.
    This repairs diffoscope for xserver-xorg and other packages.
  * Use libarchive to read metadata from ar archives. The output is more
    precise and less dependent on binutils version. The command line `ar` tool
    is not used any more so remove it from the required tools.
  * Split readelf --debug-dump output when examining ELF files. Based on a
    patch by Dhole.
  * Keep both .debug_str and .zdebug_str as ElfSection. Thanks to Niels Thykier
    for noticing the problem.
  * Fix a logic error in _install_debug_symbols. Thanks anthraxx for the report
    and the fix.
  * Use recursive containers for directory and only look at files with ending
    in .deb when looking for Build IDs. Both avoid looking at too many files
    when searching for matching debug packages. Thanks Helmut Grohne and Steven
    Chamberlain for the reports and tests. (Closes: #813052)
  * Add support for ICC profiles. This adds a Recommends on colord in Debian.
  * Harmonize spaces and commas in package list.
  * Update PPU files test data for FPC 3.0.0.
  * Update exepcted javap output for OpenJDK 1.8.
  * Stop specializing files from directories earlier than necessary.

  [ anthraxx ]
  * Adding cd-iccdump package reference for Arch Linux.

  [ Mattia Rizzolo ]
  * Use HTTPS in Vcs-Git.

  [ Holger Levsen ]
  * Bump standards version to 3.9.7, no changes needed.
  * Use /git/ instead /cgit/ in Vcs-Browser.

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 17 Feb 2016 18:12:45 +0100

diffoscope (48) unstable; urgency=medium

  * Open debian/control file in binary mode (Closes: #812524)
  * Fix recognizes() for files ending in .buildinfo but without a
    Checksums-Sha256 field. (Closes: #812534)
  * Fix finding debug packages with multiple Build-Ids.
  * Cleanup how arguments are given to readelf for sections.
  * Only pass --decompress to readelf when the option is supported. This
    restores compatibility with older versions of binutils.
  * Skip dbgsym tests if the debian Python module is not available.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 26 Jan 2016 12:13:57 +0100

diffoscope (47) unstable; urgency=low

  * Don't show a difference for identical but long diff inputs (e.g. objdump
    output). This should make diffoscope run longer for large diff inputs, but
    more correct reports worths it.
  * Fix symbol ignore regexp for ELF files.
  * Ask readelf to decompress sections before dumping their content.
  * Don't redefine .name() in Archive when its already defined in File.
  * All files can now belong to a container. This will help us implement
    cross-file analysis.
  * Update requirements for ELF tests.
  * Sort file order when comparing directories.
  * Use Python OrderedDict instead of keeping a list of sections in ELF
    container.
  * Install detached symbols from debug .deb before comparing ELF files.
    This means objdump output should have line numbers for Debian packages
    built with recent debhelper as long as the associated debug package is in
    the same directory.
  * Add support for Debian .buildinfo files.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 23 Jan 2016 18:08:33 +0000

diffoscope (46) unstable; urgency=low

  [ Dhole ]
  * Improve ELF comparisons by performing comparisons section by section.
    (Closes: #808197)

  [ Jérémy Bobbio ]
  * Further split readelf output when examining ELF files.
  * Skip dumping ELF sections that are already covered by previous readelf
    calls to avoid redundant output. Thanks Mike Hommey for the report.
    (Closes: #808267)
  * Fix ELF comparisons against non-existing files.
  * Filter symbols for IP-relative ops from ELF disassembled output as
    they will create differences that don't really exist. Thanks Mike Hommey
    for the report and test cases. (Closes: #808207)
  * Add forgotten requirements for tests with non-existing files.
  * Improve tests for comparisons against non-existing files.
  * Respect order of containers when performing comparisons. It makes the
    output somewhat nicer, especially for things that are expected to be in a
    certain order, like ELF sections.
  * Fix comparisons of directory with broken symlinks. Thanks Tuomas Tynkkynen
    for reporting the issue. (Closes: #810825)

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 19 Jan 2016 16:46:47 +0100

diffoscope (45) unstable; urgency=medium

  [ Rainer Müller ]
  * Fix typo in Mach-O comparator.

  [ Jérémy Bobbio ]
  * Ensure that we always get path names from libarchive as str.
    (Closes: #808541)
  * Read ext4 reference diff using UTF-8 to ensure that the test suite
    works when run under various locales.
  * Replace file path by a fixed placeholder in readelf and objdump output.
    This will work better when comparing ELF files given on the command line.
  * Read lines using an iterator instead of loading a full list in memory.
    This greatly help diffoscope when running on large binaries. Thanks Mike
    Hommey for the report and good test case. (Closes: #808120)
  * Properly report lines we can't parse in squashfs listing.
  * Correctly parse squashfs device entries with device minors larger than 3
    digits. Thanks sajolida for providing the samples.
  * Use libarchive to list files in tar and cpio archives. The output of cpio

