=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 VERSION = $(shell dpkg-parsechangelog --show-field Version)
 
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	@if ! grep -q 'VERSION = "$(VERSION)"' diffoscope/__init__.py; then \
@@ -12,9 +12,12 @@
 	fi
 	dh_auto_build -O--buildsystem=pybuild
 
+override_dh_python3:
+	dh_python3 --recommends=python-debian --recommends=rpm-python --recommends=tlsh --recommends=guestfs
+
 override_dh_gencontrol:
-	TOOLS="$$(bin/diffoscope --list-tools | tail -n 1 | \
-		sed -e 's/\(^\| \)\(coreutils\|diffutils\|e2fsprogs\|findutils\|gzip\)\(,\|$$\)//g')"; \
+	TOOLS="$$(bin/diffoscope --list-tools=debian | tail -n 1 | \
+		sed -e 's/\(^\| \)\(coreutils\|diffutils\|e2fsprogs\|findutils\|gzip\|tar\)\(,\|$$\)//g')"; \
 		[ -n "$$TOOLS" ] || { echo '--list-tools failed' >&2; exit 1; }; \
 		echo "diffoscope:Recommends=$$TOOLS" >> debian/diffoscope.substvars
 	dh_gencontrol -O--buildsystem=pybuild
