=== debian/tests/control ===
Tests: pytest
Depends: diffoscope, python3-pytest
Restrictions: needs-recommends

Test-Command: debian/tests/pytest
Depends: diffoscope, python3-pytest
# but without Recommends

Tests: basic-command-line
Depends: diffoscope
# without Recommends
