=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
 Uploaders:
+ Holger Levsen <holger@debian.org>,
+ Mattia Rizzolo <mattia@debian.org>,
  Reiner Herrmann <reiner@reiner-h.de>,
- Holger Levsen <holger@debian.org>
 Build-Depends: binutils-multiarch,
                debhelper (>= 9),
                dh-python,
@@ -19,11 +20,11 @@
                python3-setuptools,
                python3-tlsh (>= 3.4.1),
                vim-common
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://diffoscope.org/
 Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
 Vcs-Browser: https://anonscm.debian.org/git/reproducible/diffoscope.git
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest
 
 Package: diffoscope
 Architecture: all
@@ -43,13 +44,4 @@
  be shown in a text or HTML report.
  .
  diffoscope is developed as part of the “reproducible builds” Debian
- project and was formerly known as “debbindiff”.
-
-Package: debbindiff
-Depends: diffoscope, ${misc:Depends}
-Architecture: all
-Priority: extra
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed once
- callers have been update to use 'diffoscope' instead of 'debbindiff'.
+ project.
