## diffoscope 54

=== debian/control ===
Source: diffoscope
Section: devel
Priority: optional
Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
Uploaders:
 Holger Levsen <holger@debian.org>,
 Mattia Rizzolo <mattia@debian.org>,
 Reiner Herrmann <reiner@reiner-h.de>,
Build-Depends:
 binutils-multiarch,
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-debian,
 python3-docutils,
 python3-guestfs,
 python3-libarchive-c,
 python3-magic,
 python3-pytest,
 python3-rpm,
 python3-setuptools,
 python3-tlsh (>= 3.4.1),
 vim-common,
Standards-Version: 3.9.8
Homepage: https://diffoscope.org/
Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
Vcs-Browser: https://anonscm.debian.org/git/reproducible/diffoscope.git
Testsuite: autopkgtest

Package: diffoscope
Architecture: all
Suggests: libjs-jquery
Breaks: debbindiff (<< 29)
Replaces: debbindiff (<< 29)
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${diffoscope:Recommends},
 ${python3:Recommends},
Description: in-depth comparison of files, archives, and directories
 diffoscope will try to get to the bottom of what makes files or directories
 different. It will recursively unpack archives of many kinds and transform
 various binary formats into more human readable form to compare them. It can
 compare two tarballs, ISO images, or PDF just as easily. The differences can
 be shown in a text or HTML report.
 .
 diffoscope is developed as part of the “reproducible builds” Debian
 project.
