## diffoscope 55~bpo8+1

=== debian/changelog ===
diffoscope (55~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 22 Jul 2016 12:38:47 +0000

diffoscope (55) unstable; urgency=medium

  [ anthraxx ]
  * Fix sqlite3 magic recognition when using file >= 5.27. (Closes: #830434)

  [ Satyam Zode ]
  * Add argument completion feature to diffoscope. (Closes: #826711)

  [ Chris Lamb ]
  * Improve message when data differs. (Closes: #827981)

  [ Reiner Herrmann ]
  * Clarify the input arguments. (Closes: #826894)

  [ Holger Levsen ]
  * Add link to homepage in HTML output.

  [ Rainer Müller ]
  * python-magic >=0.4.12 does not require decode.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 15 Jul 2016 21:50:29 +0200
