## diffoscope 56~bpo8+1

=== debian/changelog ===
diffoscope (56~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 01 Aug 2016 20:31:58 +0000

diffoscope (56) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Fix maybe_decode() so that it actually works.

  [ Chris Lamb ]
  * Mask EPIPE to avoid ugly tracebacks when eg. prematurely terminating $PAGER.
  * Add git index file comparator.
  * Drop unused imports in Ar comparator.

  [ Ximin Luo ]
  * Add support for AR archives (including Rust .rlib files).
  * Add some more documentation for ArFile/ArContainer.
  * RequiredToolNotFound.PROVIDERS dict values are package names, not binary
    names.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 28 Jul 2016 00:02:56 +0200
