=== debian/control ===
--- 
+++ 
@@ -3,14 +3,25 @@
 Priority: optional
 Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
 Uploaders:
+ Chris Lamb <lamby@debian.org>,
  Holger Levsen <holger@debian.org>,
  Mattia Rizzolo <mattia@debian.org>,
  Reiner Herrmann <reiner@reiner-h.de>,
 Build-Depends:
  bash-completion,
  binutils-multiarch,
+ caca-utils,
+ colord,
  debhelper (>= 9),
+ default-jdk,
  dh-python,
+ enjarify,
+ fp-utils,
+ ghostscript,
+ llvm,
+ mono-utils,
+ pdftk,
+ poppler-utils,
  python-argcomplete,
  python3-all,
  python3-debian,
@@ -22,18 +33,25 @@
  python3-rpm,
  python3-setuptools,
  python3-tlsh (>= 3.4.1),
+ rpm2cpio,
+ sng,
+ sqlite3,
+ squashfs-tools,
+ unzip,
  vim-common,
 Standards-Version: 3.9.8
 Homepage: https://diffoscope.org/
 Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
 Vcs-Browser: https://anonscm.debian.org/git/reproducible/diffoscope.git
-Testsuite: autopkgtest
 
 Package: diffoscope
 Architecture: all
-Suggests: libjs-jquery
-Breaks: debbindiff (<< 29)
-Replaces: debbindiff (<< 29)
+Suggests:
+ libjs-jquery,
+Breaks:
+ debbindiff (<< 29),
+Replaces:
+ debbindiff (<< 29),
 Depends:
  python3-pkg-resources,
  ${misc:Depends},
@@ -50,3 +68,21 @@
  .
  diffoscope is developed as part of the “reproducible builds” Debian
  project.
+
+Package: trydiffoscope
+Architecture: all
+Depends:
+ python3-requests,
+ ${misc:Depends},
+ ${python3:Depends},
+Description: in-depth comparison of files, archives, etc. (try.diffoscope.org client)
+ diffoscope will try to get to the bottom of what makes files or directories
+ different. It will recursively unpack archives of many kinds and transform
+ various binary formats into more human readable form to compare them. It can
+ compare two tarballs, ISO images, or PDF just as easily. The differences can
+ be shown in a text or HTML report.
+ .
+ diffoscope is developed as part of the “reproducible builds” Debian
+ project.
+ .
+ This package contains the https://try.diffoscope.org/ command-line client.
