=== debian/control ===
--- 
+++ 
@@ -9,36 +9,45 @@
  Reiner Herrmann <reiner@reiner-h.de>,
 Build-Depends:
  bash-completion,
- binutils-multiarch,
- caca-utils,
- colord,
- debhelper (>= 9),
- default-jdk,
- dh-python,
- enjarify,
- fp-utils,
- ghostscript,
- llvm,
- mono-utils,
- pdftk,
- poppler-utils,
+ binutils-multiarch <!nocheck>,
+ caca-utils <!nocheck>,
+ colord <!nocheck>,
+ debhelper (>= 9.20141010),
+ default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
+ dh-python (>= 2.20160818~),
+ dpkg-dev (>= 1.17.14),
+ enjarify <!nocheck>,
+ fontforge-extras <!nocheck>,
+ fp-utils <!nocheck>,
+ ghc <!nocheck>,
+ ghostscript <!nocheck>,
+ libjs-jquery <!nocheck>,
+ libjs-jquery-hotkeys <!nocheck>,
+ libjs-jquery-isonscreen <!nocheck>,
+ libjs-jquery-tablesorter <!nocheck>,
+ libjs-jquery-throttle-debounce <!nocheck>,
+ llvm <!nocheck>,
+ mono-utils <!nocheck>,
+ pdftk <!nocheck>,
+ poppler-utils <!nocheck>,
  python-argcomplete,
  python3-all,
- python3-debian,
+ python3-debian <!nocheck>,
  python3-docutils,
- python3-guestfs,
+ python3-guestfs <!nocheck>,
  python3-libarchive-c,
  python3-magic,
- python3-pytest,
- python3-rpm,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-rpm <!nocheck>,
  python3-setuptools,
- python3-tlsh (>= 3.4.1),
- rpm2cpio,
- sng,
- sqlite3,
- squashfs-tools,
- unzip,
- vim-common,
+ python3-tlsh (>= 3.4.1) <!nocheck>,
+ rpm2cpio <!nocheck>,
+ sng <!nocheck>,
+ sqlite3 <!nocheck>,
+ squashfs-tools <!nocheck>,
+ unzip <!nocheck>,
+ vim-common <!nocheck>,
 Standards-Version: 3.9.8
 Homepage: https://diffoscope.org/
 Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
