=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,27 @@
 MANPAGES = $(patsubst %.1.rst,%.1,$(wildcard debian/*.1.rst))
 VERSION_dch := $(shell dpkg-parsechangelog --show-field Version)
 VERSION_py := $(shell awk '/^VERSION = / {gsub(/"/, "", $$3); print $$3}' diffoscope/__init__.py )
+DIST := $(shell dpkg-parsechangelog --show-field Distribution)
 
 ifneq ($(VERSION_dch),$(VERSION_py))
- $(error "Version in debian/changelog doesn't match diffoscope version")
+ ifneq ($(DIST),UNRELEASED)
+  ifneq (,$(filter %-backports,$(DIST)))
+    ifeq ($(VERSION_dch:~bpo8+1=),$(VERSION_py))
+     $(info Building a Debian backport, accepting version mismatch $(VERSION_py) <-> $(VERSION_dch))
+    else
+     $(error Version in debian/changelog does not match diffoscope version or backport policy)
+    endif
+  else
+   $(error Version in debian/changelog does not match diffoscope version)
+  endif
+ endif
 endif
 
+export PATH := $(CURDIR)/bin:$(PATH)
 export PYBUILD_DESTDIR = debian/diffoscope
+export PYBUILD_TEST_ARGS = -vv -r sxX --cov=diffoscope --cov-report=term-missing --cov-report=html
+export PYBUILD_AFTER_TEST = debian/tests/basic-command-line
+export PYBUILD_AFTER_INSTALL=rm -rvf '{destdir}/{install_dir}/htmlcov' '{destdir}/{install_dir}/.coverage'
 
 %:
 	dh $@ --with python3 --with bash-completion --buildsystem=pybuild
